package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanWxApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    private String wxApplicationId;

    private String corpid;

    private String siteId;

    private String name;

    private String permanentCode;

    private String agentName;

    private String agentId;

    private Integer applicationType = 2;

    private String wxEnterpriseId;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    /**
     * 是否使用代开发，1：是，0：否
     */
    private Integer isCustomizedApp;

    public String getWxApplicationId() {
        return wxApplicationId;
    }

    public void setWxApplicationId(String wxApplicationId) {
        this.wxApplicationId = wxApplicationId == null ? null : wxApplicationId.trim();
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId == null ? null : siteId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getPermanentCode() {
        return permanentCode;
    }

    public void setPermanentCode(String permanentCode) {
        this.permanentCode = permanentCode == null ? null : permanentCode.trim();
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName == null ? null : agentName.trim();
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId == null ? null : agentId.trim();
    }

    public Integer getApplicationType() {
        return applicationType;
    }

    public void setApplicationType(Integer applicationType) {
        this.applicationType = applicationType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsCustomizedApp() {
        return isCustomizedApp;
    }

    public void setIsCustomizedApp(Integer isCustomizedApp) {
        this.isCustomizedApp = isCustomizedApp;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }
}